CAM

ITCAM for Transactions - Application Management Configuration Editor Fails to Open

By IMWUC Community Team posted Tue October 15, 2019 02:34 AM

  

by Kevin Baldwin

How to.....
  
Identify and fix problems opening AMCE caused by jar file conflicts

 

The following problem has been reported by a number of users after upgrading ITCAMfT and/or ITM:
AMCE doesn't open and the icon in the TEP toolbar is greyed out.

If your environment has application support installed for one or both of the following products...

yj   IBM Tivoli Composite Application Manager Agent for J2EE
yn   ITCAM Agent for WebSphere Applications


It is possible that the problem is a coexistence issue between jar files supplied in application support from T3, YJ and YN agents. Specifically, tk_jflt.jar (YJ & YN) conflicts with kt3com.jar (T3).

The problem will only be seen when using the TEP Browser or Java Webstart to open the TEP console.

To check if the fix described below applies in your case, you should enable and collect TEP Client Java trace logs.

If the AMCE problem is a result of a jar file conflict the output from the Java trace will contain something like this:

Exception in thread "Common config launcher" java.lang.ExceptionInInitializerError
    at com.ibm.tivoli.transperf.config.model.AbstractManager.


The versions of application support needed to fix this problem are determined by the version of T3 being used and the versions of YJ and/or YN currently installed.

  • If you have YN and YJ application support installed, these are the recommended versions of application support that you should install:

    YJ IBM Tivoli Composite Application Manager Agent for J2EE   07.11.00.03 or later
    YN ITCAM Agent for WebSphere Applications                    07.20.00.06 or later
    T3 ITCAM Console                                             07.40.01.11 or later

     
  • If you've only got YN application support installed, you need:

    To work with... T3 ITCAM Console 07.40.01.11 or later
    YN ITCAM Agent for WebSphere Applications                    07.20.00.06 or later

    or...

    To work with... Older T3 ITCAM Console 07.40.01 versions
    YN ITCAM Agent for WebSphere Applications                    07.20.00.03 - 07.20.00.05

 

The appropriate application support needs to be installed on all TEMS, RTEMS and the TEPS. There's no need to upgrade the agents.

Use information found in the following links to locate and download the packages needed to install the required application support files:

Please note... When the correct application support has been installed, make sure the Java cache is cleared before opening the TEP console.

1 comment
2 views

Permalink

Comments

Tue January 23, 2018 06:44 AM

YouTube link needs correcting

The correct link to "enable and collect TEP Client Java trace logs" is:

https://www.youtube.com/watch?v=WtxsXRu2IGw&index=18&list=PL_4RxtD-BL5vVt0XHr3NSlMl9U41ZgJFq